# Kit of scripts for configure PostgreSQL + PgPool-II + JBoss 7.2.0.Final + Apache 2.4 ModCluster
* httpd - Contains nessary configs files, and script for automatic configure httpd and mod_cluster
* jboss Contains script for configure two servers as one cluster, applications for test cluster and some console utils
* pgpool - Contains examples configs, init script and script for autoconfigure pgpool-II
* postgres - Contains auto configure stream replication and console utils

## Getting started
First you need edit config file [contrib/config](https://sergeserver.noip.me/gitlab/iSergio/jboss-cluster/blob/master/contrib/config) and fill in the values based on your cluster settings
1. PRIMARY_HOST - Host which will be primary in you system
2. STANDBY_HOST - Host which will be standby in you system
3. CLUSTER_HOST - Host which listen httpd (ServerGOD) (In primary server equals PRIMARY_HOST, on standby STANDBY_HOST)
4. CLUSTER_SUBNET - Network subnet for access mod cluster manager
5. PGPOOL_TRUSTED_SERVERS - Trusted server list which are used to confirm network connection (hostA,hostB,hostC,...)
6. PGPOOL_DELEGATE_IP - Delegate IP address. If this is empty, virtual IP never bring up.
7. PGPOOL_INTERFACE - Interface on which will be up/down virtual ip address

### Configure Primary server
1. Configure PostgreSQL stream replication
    1. cd postgresql
    2. ./configure.sh
    3. pg_replication -c
2. Configure pgpool:
    1. cd pgpool
    2. ./configure.sh
3. Configure https (ServerGOD)
    1. cd httpd
    2. ./configure.sh
4. Configure JBoss 7.2.0.Final
    1. cd jboss
    2. ./configure.sh -p -d